Parallel port devices
Implementation internals » Device handling

Parallel port device information. More...

## Functions

static void | do_lp (hd_data_t *hd_data)
static void | do_zip (hd_data_t *hd_data)
static void | dump_parallel_data (hd_data_t *hd_data, str_list_t *sl)
void | hd_scan_parallel (hd_data_t *hd_data)

## Detailed Description

Parallel port device information.

## Function Documentation

## do_lp()

void do_lp | ( | hd_data_t * | hd_data | ) |

static

References acc_rw, res_io_t::access, add_hd_entry(), add_res_entry(), add_str_list(), s_hd_t::attached_to, res_io_t::base, s_hd_t::base_class, bc_comm, bc_none, bc_printer, s_hd_t::bus, bus_parallel, device, s_hd_t::device, dump_parallel_data(), res_io_t::enabled, free_mem(), free_str_list(), hd_data, HD_DEB_PARALLEL, hd_id_t::id, s_hd_t::idx, u_hd_res_t::io, KERNEL_22, hd_id_t::name, new_mem(), new_str(), s_hd_t::next, s_str_list_t::next, probe_module(), PROC_PARPORT_22, PROC_PARPORT_24, PROGRESS, read_file(), s_hd_t::res, res_io, sc_com_par, s_str_list_t::str, str_printf(), s_hd_t::sub_class, res_io_t::type, s_hd_t::unix_dev_name, unload_module(), s_hd_t::vendor, and vendor.

Referenced by hd_scan_parallel().

## do_zip()

void do_zip | ( | hd_data_t * | hd_data | ) |

static

References add_hd_entry(), add_str_list(), s_hd_t::attached_to, s_hd_t::base_class, bc_comm, bc_storage, s_hd_t::bus, bus_parallel, s_hd_t::device, dump_parallel_data(), free_mem(), free_str_list(), hd_data, HD_DEB_PARALLEL, hd_module_is_active(), hd_probe_feature(), hd_id_t::id, s_hd_t::idx, load_module(), MAKE_ID, new_str(), s_hd_t::next, pr_parallel_imm, PROC_SCSI, PROGRESS, read_file(), sc_com_par, sc_sto_scsi, str_printf(), s_hd_t::sub_class, TAG_SPECIAL, s_hd_t::unix_dev_name, unload_module(), and s_hd_t::vendor.

Referenced by hd_scan_parallel().

## dump_parallel_data()

void dump_parallel_data | ( | hd_data_t * | hd_data,
|  | str_list_t * | sl )

static

References ADD2LOG, hd_data, s_str_list_t::next, and s_str_list_t::str.

Referenced by do_lp(), and do_zip().

## hd_scan_parallel()

void hd_scan_parallel | ( | hd_data_t * | hd_data | ) |

References do_lp(), do_zip(), hd_data, hd_probe_feature(), mod_parallel, pr_parallel, pr_parallel_lp, pr_parallel_zip, and remove_hd_entries().

Referenced by hd_scan_no_hal().